Bug 178604 - Review Request: ruby-mysql
Review Request: ruby-mysql
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McGrath
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-22 06:53 EST by Oliver Andrich
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-04 17:41:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Andrich 2006-01-22 06:53:46 EST
Spec Name or Url: http://roughbook.de/fedora/ruby-mysql.spec
SRPM Name or Url: http://roughbook.de/fedora/ruby-mysql-2.7-1.src.rpm
Description:
A Ruby interface to MySQL

This is the MySQL API module for Ruby. It provides the same functions for
Ruby programs that the MySQL C API provides for C programs.
Comment 1 Mike McGrath 2006-01-22 13:10:48 EST
Couple of things

-Duplicate build requires: 
     openssl-devel is provided by mysql-devel
     zlib-devel is provided by openssl-devel
-Should clean the build root in %install (add rm -rf $RPM_BUILD_ROOT)
Comment 2 Oliver Andrich 2006-01-22 13:39:57 EST
Fixed these things.

Spec Name or Url: http://roughbook.de/fedora/ruby-mysql.spec
SRPM Name or Url: http://roughbook.de/fedora/ruby-mysql-2.7-3.src.rpm
Comment 3 Mike McGrath 2006-01-26 17:56:39 EST
-Fix the changelog (you'll have to make a 2.7-4)
-I'd package this in the Development/Languages group (php-mysql is)
-use "make %{?_smp_mflags}" under %build

rpmlint output:
W: ruby-mysql incoherent-version-in-changelog 2.7-1 2.7-3

non-blocker: I think removing the summary from %description might clean it up a bit.
Comment 4 Oliver Andrich 2006-01-27 13:14:44 EST
Fixed the above mentioned things.

Spec Name or Url: http://roughbook.de/fedora/ruby-mysql.spec
SRPM Name or Url: http://roughbook.de/fedora/ruby-mysql-2.7-4.src.rpm
Comment 5 Mike McGrath 2006-02-03 15:17:30 EST
One small thing.  I'd release this under the GPL license.  In the copying file
it says the following:

Ruby is copyrighted free software by Yukihiro Matsumoto <matz@netlab.jp>.
You can redistribute it and/or modify it under either the terms of the GPL
(see the file GPL), or the conditions below.  

I'd just change the License to GPL since more people are familiar with it.
Comment 6 Oliver Andrich 2006-02-03 15:54:09 EST
Spec Name or Url: http://roughbook.de/fedora/ruby-mysql.spec
SRPM Name or Url: http://roughbook.de/fedora/ruby-mysql-2.7-5.src.rpm

As just discussed in #fedora-extras I switched to GPL as the licence, cause this
is what the Packaging Guidelines tell in case of dual licensed software. I also
included the license files.
Comment 7 Mike McGrath 2006-02-03 16:12:49 EST
Found something else, this package creates
/usr/lib/site_ruby/1.8/i386-linux/mysql.so  Because it doesn't own those
directories it leaves /usr/lib/site_ruby/1.8/i386-linux/ when you remove the
package.  Also aren't most ruby libraries located in /usr/lib/ruby/?
Comment 8 Oliver Andrich 2006-02-03 16:34:22 EST
Yes, this intended behaviour, cause /usr/lib/site_ruby/1.8/i386-linux/ is owned
by the ruby-libs package. This package is required anyway, cause my package
requires libruby.so.1.8 which is provided by the package ruby-libs. So I think,
I don'T need to explicitly require ruby-libs.
Comment 9 Mike McGrath 2006-02-03 16:59:34 EST
Got'cha.  No problem there then:

-rpmlint: No output
-Meets Naming Guidelines
-%{name}.spec matches
-License is GPL and a COPYING file is included stating that fact
-SPEC is written in english
-SPEC file is easy to follow
-Source matches Upstream
-Compiles successfully in Mock
-Only required build requres listed
-No duplicate build requires
-locales unused (not needed)
-included libraries are not located in dynamic linker's default paths
-No duplicate files
-Owns all directories it creates: doesn't actually create any dirs
-does not have any devel packages (does not need them)

ACCEPTED

Note You need to log in before you can comment on or make changes to this bug.